Download it now!
Bug 116429 - Undoing after adding a shape only undoes "Change object name of Shape to 'Shape 1'"
Summary: Undoing after adding a shape only undoes "Change object name of Shape to 'Sha...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: x86-64 (AMD64) All
: low minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0 target:6.0.4
Keywords: bisected, regression
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2018-03-16 10:17 UTC by Maxim
Modified: 2018-03-21 20:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim 2018-03-16 10:17:55 UTC
Description:
If, for example, add a shape is one action. However, two actions appear in the undo action list
1. Insert figure "Figure 1"
2. To change the name of the object figure "Figure 1"


Steps to Reproduce:
1. Add shape
2. Cancel adding a shape (cntr + Z)


Actual Results:  
The figure remained, instead of deleting it cancels the renaming of the figures


Expected Results:
Deleting a shape



Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 Buovjaga 2018-03-16 14:31:32 UTC
Repro, but not yet in 5.0.2.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 28e8c3e28bf4944ecad23961602b9b1f72613d39
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 15th 2018

5.3.0 and 5.0.2 on Win 10.
Comment 2 Xisco Faulí 2018-03-19 18:43:18 UTC
I can reproduce it in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

but not in

Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)

it needs to be bisected with https://gerrit.libreoffice.org/#/admin/projects/bibisect-win32-5.1
Comment 3 Buovjaga 2018-03-20 14:37:29 UTC
(In reply to Xisco Faulí from comment #2)
> it needs to be bisected with
> https://gerrit.libreoffice.org/#/admin/projects/bibisect-win32-5.1

I bisected it to https://cgit.freedesktop.org/libreoffice/core/commit/?id=3647626309ef89bf90d8b6a6539d41d8deb6b482

Give drawing objects unique names by default
when created through the UI, similar to how
frames and graphics get names.

This way they appear in the navigator by default

Adding Caolán to CC.
Comment 4 Commit Notification 2018-03-21 15:29:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=655d7340536ed2847d1da873b141d8776f791d12

Resolves: tdf#116429 unwanted extra step in undo insert shape

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2018-03-21 16:00:38 UTC
backport in gerrit
Comment 6 Buovjaga 2018-03-21 19:36:53 UTC
Verified. Cheers :)

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: fc3f43b6fe3df5e46ca869d5934d4c3333444881
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 21th 2018
Comment 7 Commit Notification 2018-03-21 20:44:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=deb5db7bf6d45338c9b6f6f4a1d62fba168b7a85&h=libreoffice-6-0

Resolves: tdf#116429 unwanted extra step in undo insert shape

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.